@echo off
Rem Batch file to fix DJGPP specific issues in shell scripts provided by gzip.

test -f %1/%2_in.org
if errorlevel 1 update %1/%2.in %1/%2_in.org
sed -f %1/djgpp/%2_in.sed %1/%2_in.org > %2.tmp
if errorlevel 1 goto SedError
mv -f ./%2.tmp %1/%2.in
goto End

:SedError
echo shell script editing failed!
goto End

:End
